## numexpr 2.4

=== CMakeLists.txt ===
# WARNING! EXPERIMENTAL! Use setup.py if you're not familiar with cmake.
#
# We recommend that you create a separate directory for the build,
# so that the build files aren't mixed in with the source files.
# e.g.
#  $ mkdir build-cmake
#  $ cd build-cmake
#  $ cmake ..
#  $ make
#
# MacOSX Notes:
#   On MacOSX, it may default to 64-bit, even if your Python is 32-bit.
#   The linker will give NO WARNING, and the resulting .so file will
#   fail to load in Python. To fix this, run cmake as follows,
#   assuming you're in <source dir>/build-cmake/:
#     cmake -DCMAKE_OSX_ARCHITECTURES=i386 ..
#   To debug this issue, you can compare "lipo -info `which python`"
#   with "lipo -info numexpr.so". They should have the same platform info.
#
#   Further problems on OS X appear to be related to EPD Python. CMake's
#   default detection may be detecting the wrong python to link against.
#
# Windows Notes:
#   Python 2.7 is built with Visual C++ 9 (aka 2008). This is the one
#   you should pick when running cmake-gui. Be sure to switch the build
#   configuration from Debug to Release (or RelWithDebInfo) in Visual Studio.

project(numexpr)

cmake_minimum_required(VERSION 2.8)

# Force the default build type to be Release, because a Debug
# build doesn't work properly with the default Python build
if(NOT CMAKE_BUILD_TYPE)
  set(CMAKE_BUILD_TYPE "Release" CACHE STRING
      "Choose the type of build, options are: Debug Release
RelWithDebInfo MinSizeRel."
      FORCE)
endif()

set(CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR})

find_package(PythonInterp REQUIRED)
find_package(PythonLibsNew REQUIRED)
find_package(NumPy REQUIRED)

# Default install location for Python packages
if(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
    set(CMAKE_INSTALL_PREFIX "${PYTHON_SITE_PACKAGES}" CACHE STRING
      "Choose the Python module directory (default site-packages)" FORCE)
endif()

# Require version >= 1.6
if(NUMPY_VERSION_DECIMAL LESS 10600)
    message(FATAL_ERROR,
        "NumExpr requires NumPy >= 1.6")
endif()

include_directories(
    ${PYTHON_INCLUDE_DIRS}
    ${NUMPY_INCLUDE_DIRS}
    )

set(numexpr_SRC
    numexpr/interpreter.cpp
    numexpr/module.cpp
    numexpr/numexpr_object.cpp
    numexpr/complex_functions.hpp
    numexpr/functions.hpp
    numexpr/interpreter.hpp
    numexpr/module.hpp
    numexpr/missing_posix_functions.hpp
    numexpr/msvc_function_stubs.hpp
    numexpr/numexpr_config.hpp
    numexpr/numexpr_object.hpp
    numexpr/opcodes.hpp
    )
if(CMAKE_HOST_WIN32)
    set(numexpr_SRC
        ${numexpr_SRC}
        numexpr/win32/pthread.c
        )
endif()

python_add_module(interpreter ${numexpr_SRC})

# Generate __config__.py. This is a dummy placeholder, as I
# don't know why it's here.
file(WRITE "${PROJECT_BINARY_DIR}/__config__.py"
    "# This file is generated by a CMakeFiles.txt configuration\n"
    "__all__ = ['get_info','show']\n"
    "def get_info(name):\n"
    "   return None\n"
    "def show():\n"
    "   print('someone called show()')\n")

# Install all the Python scripts
install(DIRECTORY numexpr DESTINATION "${CMAKE_INSTALL_PREFIX}"
    FILES_MATCHING PATTERN "*.py")
# Install __config__.py
install(FILES "${PROJECT_BINARY_DIR}/__config__.py"
    DESTINATION "${CMAKE_INSTALL_PREFIX}/numexpr")
# Install the module
install(TARGETS interpreter DESTINATION "${CMAKE_INSTALL_PREFIX}/numexpr")

## numexpr 1.4.1

=== debian/changelog ===
numexpr (1.4.1-1) unstable; urgency=low

  * Update to 1.4.1 

 -- Wen Heping <wenheping@gmail.com>  Sun, 31 Oct 2010 19:00:00 -0600

numexpr (1.3.1-2) unstable; urgency=low

  * move to sid

 -- Wen Heping <wenheping@gmail.com>  Sun, 27 Oct 2010 19:00:00 -0600

numexpr (1.3.1-1) experimental; urgency=low

  * Initial Release. (Closes: #589165)

 -- Wen Heping <wenheping@gmail.com>  Fri, 15 July 2010 23:54:05 -0600

=== debian/control ===
Source: numexpr
Section: python
Priority: optional
Maintainer: Wen Heping <wenheping@gmail.com>
Build-Depends: debhelper (>= 5.0.37.2),
	       cdbs (>= 0.4.43),
	       python-all-dev (>= 2.3.5-11),
	       python-support (>= 0.90),
	       python-setuptools (>= 0.6b3),
	       python-numpy (>= 1.3.1)
Standards-Version: 3.9.1
Homepage: http://code.google.com/p/numexpr/

Package: python-numexpr
Architecture: any
Depends: ${python:Depends},
	 ${shlibs:Depends},
	 ${misc:Depends}
Description: The numexpr package evaluates multiple-operator array expressions
 many times faster than NumPy can. It accepts the expression as a string,
 analyzes it, rewrites it more efficiently, and compiles it to faster Python
 code on the fly. It's the next best thing to writing the expression in C and
 compiling it with a specialized just-in-time (JIT) compiler, i.e. it does not
 require a compiler at runtime.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_PYTHON_SYSTEM=pysupport

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk

# Prepare support  for python 3.x  (need to add  Build-Depends against
# python3-all-dev in debian/control).
# cdbs_python_supported_versions += $(shell dpkg-query -W -f='$${Depends}' python3-all-dev | sed 's/.*python\(3\.[0-9]\)-dev.*/\1/')

# Install egg-info directories
DEB_PYTHON_INSTALL_ARGS_ALL += --single-version-externally-managed

install/$(DEB_PYTHON_MODULE_PACKAGES)::
	sed -i 's#\#!/usr/bin/python[0-9].[0-9]#\#!/usr/bin/python#' \
		$(cdbs_python_destdir)usr/bin/*
#	rm -f $(cdbs_python_destdir)usr/share/doc/python-numexpr/LICENSE.txt

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/n/numexpr/numexpr-(.*)\.tar\.gz

## numexpr 1.4.2

=== debian/changelog ===
numexpr (1.4.2-2) unstable; urgency=low

  [Antonion Valentino]
  * Switch to dh8 and python2 (dropped cdbs)
  * Standard version bumped to 3.9.2 (no changes)
  * Copyright file updated to DEP5 format
  * Added local option file
  * Updated package description
  * New -dbg package (Closes: #657733)
  * Perform unit tests at build time
  * Local option file added in debian/source

  [picca]
  * debian/rules
    - unactive the unit test for now (waiting for the
      lastest upstream version)
  * debian/control
    - now the packaging is done under debian-science
    - add Antonio Valentino as uploaders

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 04 Feb 2012 12:22:47 +0100

numexpr (1.4.2-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Move call to dh_numpy under the install rule.

 -- Miguel de Val Borro <miguel.deval@gmail.com>  Sat, 03 Dec 2011 18:05:28 +0100

numexpr (1.4.2-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix "missing dependency on python-numpy" by adding the dh_numpy helper
    script to the rules file (Closes: #641794)
  * Urgency set to medium due to rc bug fix

 -- Miguel de Val Borro <miguel.deval@gmail.com>  Fri, 02 Dec 2011 22:09:40 +0100

numexpr (1.4.2-1) unstable; urgency=low

  * Update to 1.4.2

 -- Wen Heping <wenheping@gmail.com>  Wed, 06 Apr 2011 19:00:00 -0600

=== debian/control ===
Source: numexpr
Section: python
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Wen Heping <wenheping@gmail.com>,
	   Antonio Valentino <antonio.valentino@tiscali.it>
Build-Depends: debhelper (>= 8.1.0~),
	       python-all-dev (>= 2.3.5-11),
	       python-all-dbg (>= 2.3.5-11),
	       python-setuptools (>= 0.6b3),
	       python-numpy (>= 1.3.1),
	       python-numpy-dbg (>= 1.3.1)
Standards-Version: 3.9.2
Vcs-Git: git://anonscm.debian.org/debian-science/packages/numexpr.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/numexpr.git
Homepage: http://code.google.com/p/numexpr/

Package: python-numexpr
Architecture: any
Depends: ${python:Depends},
	 ${shlibs:Depends},
	 ${misc:Depends}
Description: Fast numerical array expression evaluator for Python and NumPy
 Numexpr package evaluates multiple-operator array expressions many
 times faster than NumPy can. It accepts the expression as a string,
 analyzes it, rewrites it more efficiently, and compiles it to faster
 Python code on the fly. It's the next best thing to writing the
 expression in C and compiling it with a specialized just-in-time
 (JIT) compiler, i.e. it does not require a compiler at runtime.

Package: python-numexpr-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${python:Depends},
	 ${shlibs:Depends},
	 ${misc:Depends},
	 python-numexpr (= ${binary:Version})
Recommends: python-dbg, python-numpy-dbg (>= 1.3.1)
Description: Fast numerical array expression evaluator for Python and NumPy (debug ext)
 Numexpr package evaluates multiple-operator array expressions many
 times faster than NumPy can. It accepts the expression as a string,
 analyzes it, rewrites it more efficiently, and compiles it to faster
 Python code on the fly. It's the next best thing to writing the
 expression in C and compiling it with a specialized just-in-time
 (JIT) compiler, i.e. it does not require a compiler at runtime.
 .
 This package contains the extension built for the Python debug
 interpreter.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# Get the supported Python versions
PYVERS = $(shell pyversions -r -v)


%:
	dh $@ --with python2 --buildsystem=python_distutils


override_dh_install:
	# Install everything excluding the *_d.so debug extensions to python-numexpr
	dh_install -X"*_d.so" "debian/tmp/*" -p python-numexpr

	# Install the debug extensions to python-numexpr-dbg
	dh_install "debian/tmp/usr/lib/python*/*-packages/numexpr/*_d.so" -p python-numexpr-dbg

	# Continue with regular dh_install
	dh_install
	dh_numpy
#ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
#	set -e -x;\
#	for py in $(PYVERS); do \
#		cd $(CURDIR)/build/lib.*-$$py;\
#		env PYTHONPATH=. python$$py numexpr/tests/test_numexpr.py;\
#		cd $(CURDIR)/build/lib.*-$$py-pydebug;\
#		env PYTHONPATH=. python$$py-dbg numexpr/tests/test_numexpr.py;\
#	done
#endif

.PHONY: dh_auto_install

## numexpr 2.0.1

=== debian/changelog ===
numexpr (2.0.1-3) unstable; urgency=low

  * Disable unittests at build time on sparc

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 21 Apr 2012 19:25:39 +0200

numexpr (2.0.1-2) experimental; urgency=low

  * Fixing versioned build-depends on numpy version of which
    carries epoch -- now build-depends on >= 1:1.6.0

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 12 Mar 2012 21:59:50 -0400

numexpr (2.0.1-1) experimental; urgency=low

  [ Antonio Valentino ]
  * New upstream release
  * debian/patches
    - dropped 0001-fix-unittests.patch (included upstream)
    - 0001-debian-changes-1.3.1-1.patch (updated sequence number)
    - 0003-feature-forwarded-upstream-fix-FTBFS-on-Hurd-and-KFr.patch
      (refreshed and sequence number updated)
  * debian/copyright
    - updated author list and years
    - checked with the cme tool
  * debian/control
    - build-depend on numpy >= 1.6
  * debian/watch
    - now point to the project site instead of pypi.python.org

  [ Yaroslav Halchenko ]
  * debian/gbp.conf
    - build off experimental branch
  * debian/control
    - added myself to Uploaders

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 12 Mar 2012 11:39:04 -0400

numexpr (1.4.2-3.2) unstable; urgency=low

  * fix for real the FTBFS
  * debian/patches
    - 0003-feature-forwarded-upstream-fix-FTBFS-on-Hurd-and-KFr.patch (updated)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sun, 04 Mar 2012 13:57:37 +0100

numexpr (1.4.2-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/patches
    - patch series regenerated with gbp-pq
    - 0001-fix-unittests.patch (regenerated)
    - 0002-debian-changes-1.3.1-1.patch (regenerated)
    - 0003-feature-forwarded-upstream-fix-FTBFS-on-Hurd-and-KFr.patch (new)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sun, 04 Mar 2012 12:06:58 +0100

numexpr (1.4.2-3) unstable; urgency=low

  [Antonio Valentino]
  * New patch for fixing unit tests on 32 bit platforms
  * Added local option file
  * Re-enabled unit tests at build time
  * TODO file added to the debian directory
  * Updated copyright format URL
  * Standard version bumped to 3.9.3 (no change)

  [Picca Frédéric-Emmanuel]
  * debian/control
    - check all the dependencies with cme
    - python-all (>= 2.6.6-3~) we are using dh_python2

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 25 Feb 2012 12:18:08 +0100

=== debian/control ===
Source: numexpr
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Wen Heping <wenheping@gmail.com>,
           Antonio Valentino <antonio.valentino@tiscali.it>,
           Yaroslav Halchenko <debian@onerussian.com>
Section: python
Priority: optional
Build-Depends: debhelper (>= 8.1.0~),
               python-all-dev (>= 2.6.6-3~),
               python-all-dbg (>= 2.6.6-3~),
               python-setuptools,
               python-numpy (>= 1:1.6.0),
               python-numpy-dbg
Standards-Version: 3.9.3
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/numexpr.git
Vcs-Git: git://anonscm.debian.org/debian-science/packages/numexpr.git
Homepage: http://code.google.com/p/numexpr/

Package: python-numexpr
Architecture: any
Depends: ${python:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Description: Fast numerical array expression evaluator for Python and NumPy
 Numexpr package evaluates multiple-operator array expressions many
 times faster than NumPy can. It accepts the expression as a string,
 analyzes it, rewrites it more efficiently, and compiles it to faster
 Python code on the fly. It's the next best thing to writing the
 expression in C and compiling it with a specialized just-in-time
 (JIT) compiler, i.e. it does not require a compiler at runtime.

Package: python-numexpr-dbg
Architecture: any
Section: debug
Priority: extra
Depends: ${python:Depends},
         ${shlibs:Depends},
         ${misc:Depends},
         python-numexpr (= ${binary:Version})
Recommends: python-dbg,
            python-numpy-dbg
Description: Fast numerical array expression evaluator for Python and NumPy (debug ext)
 Numexpr package evaluates multiple-operator array expressions many
 times faster than NumPy can. It accepts the expression as a string,
 analyzes it, rewrites it more efficiently, and compiles it to faster
 Python code on the fly. It's the next best thing to writing the
 expression in C and compiling it with a specialized just-in-time
 (JIT) compiler, i.e. it does not require a compiler at runtime.
 .
 This package contains the extension built for the Python debug
 interpreter.

=== debian/rules ===
--- 
+++ 
@@ -23,15 +23,17 @@
 	# Continue with regular dh_install
 	dh_install
 	dh_numpy
-#ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
-#	set -e -x;\
-#	for py in $(PYVERS); do \
-#		cd $(CURDIR)/build/lib.*-$$py;\
-#		env PYTHONPATH=. python$$py numexpr/tests/test_numexpr.py;\
-#		cd $(CURDIR)/build/lib.*-$$py-pydebug;\
-#		env PYTHONPATH=. python$$py-dbg numexpr/tests/test_numexpr.py;\
-#	done
-#endif
+ifneq ($(shell dpkg-architecture -qDEB_BUILD_ARCH), sparc)
+ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
+	set -e -x;\
+	for py in $(PYVERS); do \
+		cd $(CURDIR)/build/lib.*-$$py;\
+		env PYTHONPATH=. python$$py numexpr/tests/test_numexpr.py;\
+		cd $(CURDIR)/build/lib.*-$$py-pydebug;\
+		env PYTHONPATH=. python$$py-dbg numexpr/tests/test_numexpr.py;\
+	done
+endif
+endif
 
 .PHONY: dh_auto_install

## numexpr 2.2.2

=== debian/changelog ===
numexpr (2.2.2-4build1) trusty; urgency=medium

  * No change rebuild to drop python3.3 compiled extension.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 01 Apr 2014 14:21:38 +0100

numexpr (2.2.2-4) unstable; urgency=low

  * Standard version dumped to 3.9.5 (no change)
  * debian/control
    - remove the Breaks field: compatibility with PyTables < 3.0 has
      been restored in numexpr 2.2.2 (see
      https://code.google.com/p/numexpr/wiki/ReleaseNotes)
  * debian/rules
    - fixed file conflict between python3-numexpr and
      python3-numexpr-dbg packages (Closes: #735131) 

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Mon, 13 Jan 2014 10:38:06 +0000

numexpr (2.2.2-3) unstable; urgency=medium

  * debian/rules:
    - run unittests in verbose mode
  * debian/patches
    - dropped patch: 0002-relax-test-on-sparc.patch
      It does not actually fix the issue.
    - new patch 0002-skip-threading-tests-on-sparc.patch
      Skip all tests related to threading on sparc

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Mon, 09 Dec 2013 18:54:24 +0000

numexpr (2.2.2-2) unstable; urgency=low

  * New patch: 0002-relax-test-on-sparc.patch
    Introduces a temporary workaround to fix a couple of test failiures
    on sparc.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Tue, 26 Nov 2013 18:44:55 +0000

numexpr (2.2.2-1) unstable; urgency=low

  * New upstream release (fixes a build failure on s390)

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 28 Sep 2013 09:03:27 +0000

numexpr (2.2.1-1) unstable; urgency=low

  * New upstream release

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Mon, 09 Sep 2013 19:41:04 +0000

numexpr (2.2-1) experimental; urgency=low

  * New upstream release
  * Added a link to extra license info for win32/pthread.* in the
    copyright file
  * debian/patches
    - refresh all patches
    - drop 0002-Pthread-license.patch (applied upstream)

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 07 Sep 2013 15:38:16 +0000

numexpr (2.1-1) experimental; urgency=low

  * New upstream release
  * Removed parches applied upstream:
    0002-feature-forwarded-upstream-fix-FTBFS-on-Hurd-and-KFr.patch and
    0003-Set-default-nthreads-to-one-on-sparc.patch
  * Refresh remaining patches
  * New patch: include the correct license statement in win32/pthread.*
    comment headers
  * Standards version bumped to 3.9.4 (no change)
  * Compat set to 9
  * New packages for python3 and python3-dbg (Closes: #683954)
  * Install upstream changelog
  * Re-enable unittests at build time on sparc
  * The noopt option is now honored
  * numexpr 2.1 breaks pythbles < 3.0
  * The copyright file has been updated.
  * Removed empty README.source file

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 27 Apr 2013 10:32:31 +0000

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,24 @@
 Source: numexpr
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Wen Heping <wenheping@gmail.com>,
            Antonio Valentino <antonio.valentino@tiscali.it>,
            Yaroslav Halchenko <debian@onerussian.com>
 Section: python
 Priority: optional
-Build-Depends: debhelper (>= 8.1.0~),
-               python-all-dev (>= 2.6.6-3~),
-               python-all-dbg (>= 2.6.6-3~),
+X-Python-Version: >= 2.6
+X-Python3-Version: >= 3.2
+Build-Depends: debhelper (>= 9.0.0~),
+               python-all-dev,
+               python-all-dbg,
+               python3-all-dev,
+               python3-all-dbg,
                python-setuptools,
                python-numpy (>= 1:1.6.0),
-               python-numpy-dbg
-Standards-Version: 3.9.3
+               python-numpy-dbg,
+               python3-numpy,
+               python3-numpy-dbg
+Standards-Version: 3.9.5
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/numexpr.git
 Vcs-Git: git://anonscm.debian.org/debian-science/packages/numexpr.git
 Homepage: http://code.google.com/p/numexpr/
@@ -28,6 +35,8 @@
  Python code on the fly. It's the next best thing to writing the
  expression in C and compiling it with a specialized just-in-time
  (JIT) compiler, i.e. it does not require a compiler at runtime.
+ .
+ This is the Python 2 version of the package.
 
 Package: python-numexpr-dbg
 Architecture: any
@@ -47,6 +56,41 @@
  expression in C and compiling it with a specialized just-in-time
  (JIT) compiler, i.e. it does not require a compiler at runtime.
  .
- This package contains the extension built for the Python debug
+ This package contains the extension built for the Python 2 debug
  interpreter.
 
+Package: python3-numexpr
+Architecture: any
+Depends: ${python3:Depends},
+         ${shlibs:Depends},
+         ${misc:Depends}
+Description: Fast numerical array expression evaluator for Python 3 and NumPy
+ Numexpr package evaluates multiple-operator array expressions many
+ times faster than NumPy can. It accepts the expression as a string,
+ analyzes it, rewrites it more efficiently, and compiles it to faster
+ Python code on the fly. It's the next best thing to writing the
+ expression in C and compiling it with a specialized just-in-time
+ (JIT) compiler, i.e. it does not require a compiler at runtime.
+ .
+ This package contains pyepr for Python 3.
+
+Package: python3-numexpr-dbg
+Architecture: any
+Section: debug
+Priority: extra
+Depends: ${python3:Depends},
+         ${shlibs:Depends},
+         ${misc:Depends},
+         python3-numexpr (= ${binary:Version})
+Recommends: python3-dbg,
+            python3-numpy-dbg
+Description: Fast numerical array expression evaluator for Python 3 and NumPy (debug ext)
+ Numexpr package evaluates multiple-operator array expressions many
+ times faster than NumPy can. It accepts the expression as a string,
+ analyzes it, rewrites it more efficiently, and compiles it to faster
+ Python code on the fly. It's the next best thing to writing the
+ expression in C and compiling it with a specialized just-in-time
+ (JIT) compiler, i.e. it does not require a compiler at runtime.
+ .
+ This package contains the extension built for the Python 3 debug
+ interpreter.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# Get the supported Python versions
PY2VERS = $(shell pyversions -r -v)
PY3VERS = $(shell py3versions -r -v)

ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
export CFLAGS ?= -O0
endif


%:
	dh $@ --with python2,python3 --buildsystem=python_distutils


build-python%:
	python$* setup.py build
	python$*-dbg setup.py build


override_dh_auto_build: $(PY3VERS:%=build-python%)
	dh_auto_build


install-python%:
	python$* setup.py install --root=$(CURDIR)/debian/tmp --install-layout=deb
	python$*-dbg setup.py install --root=$(CURDIR)/debian/tmp --install-layout=deb


override_dh_auto_install: $(PY3VERS:%=install-python%)
	dh_auto_install


override_dh_install:
	# Install everything excluding the *_d.so debug extensions to python-numexpr
	dh_install -X"*_d.so" "debian/tmp/usr/lib/python2*" -p python-numexpr
	find debian/python-numexpr -name '*_d.so' | xargs -r rm -f
	dh_install -X"*dmu.so" -X"*dm.so" "debian/tmp/usr/lib/python3*" -p python3-numexpr
	find debian/python3-numexpr -name '*.cpython-??dm-*.so' | xargs -r rm -f

	# Install the debug extensions to python-numexpr-dbg
	dh_install "debian/tmp/usr/lib/python2*/*-packages/numexpr/*_d.so" -p python-numexpr-dbg
	dh_install "debian/tmp/usr/lib/python3*/*-packages/numexpr/*.cpython-??dm*.so" -p python3-numexpr-dbg

	# Continue with regular dh_install
	dh_install
	dh_numpy
	dh_numpy3


override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))

	set -e -x;\
	for py in $(PY2VERS) $(PY3VERS); do \
		cd $(CURDIR)/build/lib.*-$$py;\
		env PYTHONPATH=. python$$py numexpr/tests/test_numexpr.py -v;\
		cd $(CURDIR)/build/lib.*-$$py-pydebug;\
		env PYTHONPATH=. python$$py-dbg numexpr/tests/test_numexpr.py -v;\
	done

endif


override_dh_installchangelogs:
	dh_installchangelogs -k RELEASE_NOTES.txt


.PHONY: override_dh_auto_build override_dh_auto_install override_dh_install \
        override_dh_auto_test override_dh_installchangelogs

=== debian/watch ===
version=3
http://code.google.com/p/numexpr/downloads/list?can=1 .*/numexpr-(\d[\d\.]*)\.(?:zip|tgz|tbz2|txz|tar\.gz|tar\.bz2|tar\.xz)

## numexpr 2.4

=== debian/changelog ===
numexpr (2.4-1build1) wily; urgency=medium

  * No-change rebuild for python3.5 transition

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 22 Jul 2015 19:03:30 +0000

numexpr (2.4-1) unstable; urgency=medium

  * New upstream release
  * The watch file has been updated to point to the new project home
  * Added autopkgtests
  * debian/control
    - fixed long description of python3-numexpr that mentioned pyepr
      instead of numexpr (typo)
    - added an explicit build dependency from dh-python
  * debian/copyright
    - update copyright dates
    - added entry for the new numexpr/str-two-way.hpp file
  * debian/patches
    - drop all patches: no longer necessary or applied upstream
  * debian/docs
    - all docs have been renamed from .txt into .rst

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Mon, 04 Aug 2014 22:05:02 +0000

=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2
 Build-Depends: debhelper (>= 9.0.0~),
+               dh-python,
                python-all-dev,
                python-all-dbg,
                python3-all-dev,
@@ -22,6 +23,7 @@
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/numexpr.git
 Vcs-Git: git://anonscm.debian.org/debian-science/packages/numexpr.git
 Homepage: http://code.google.com/p/numexpr/
+XS-Testsuite: autopkgtest
 
 Package: python-numexpr
 Architecture: any
@@ -72,7 +74,7 @@
  expression in C and compiling it with a specialized just-in-time
  (JIT) compiler, i.e. it does not require a compiler at runtime.
  .
- This package contains pyepr for Python 3.
+ This package contains numexpr for Python 3.
 
 Package: python3-numexpr-dbg
 Architecture: any

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

http://githubredir.debian.net/github/pydata/numexpr/ v([\.\d]+)\.tar\.gz

## numexpr 2.4.3

=== requirements.txt ===
numpy>=1.6

=== debian/changelog ===
numexpr (2.4.3-1ubuntu1) xenial; urgency=medium

  * Add missing python[3]-pkg-resources test dependency.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 26 Jan 2016 07:55:19 +0100

numexpr (2.4.3-1build1) xenial; urgency=medium

  * No-change rebuild to drop python3.4 support.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Jan 2016 00:41:52 +0000

numexpr (2.4.3-1) unstable; urgency=medium

  * New upstream release
  * Fix dependencies of -dbg packages
  * Fix debian/watch file
  * debisn/control
    - general reformatting (as suggested by cme)
    - standards version bumped to 3.9.6 (no change)
    - fix vcs-browser field
    - drop deprecated XS-Testsuite parameter
    - added python3-setuptools to build-deps
  * New patch for fixing the test suite (Python 3 only)
  * Drop debian/pycompat 
  * debian/copyright updated and cleanup

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 16 Aug 2015 12:51:08 +0200

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,8 @@
            Antonio Valentino <antonio.valentino@tiscali.it>,
            Yaroslav Halchenko <debian@onerussian.com>
 Section: python
+Testsuite: autopkgtest
 Priority: optional
-X-Python-Version: >= 2.6
-X-Python3-Version: >= 3.2
 Build-Depends: debhelper (>= 9.0.0~),
                dh-python,
                python-all-dev,
@@ -15,15 +14,17 @@
                python3-all-dev,
                python3-all-dbg,
                python-setuptools,
+               python3-setuptools,
                python-numpy (>= 1:1.6.0),
                python-numpy-dbg,
                python3-numpy,
                python3-numpy-dbg
-Standards-Version: 3.9.5
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/numexpr.git
+Standards-Version: 3.9.6
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/numexpr.git
 Vcs-Git: git://anonscm.debian.org/debian-science/packages/numexpr.git
 Homepage: http://code.google.com/p/numexpr/
-XS-Testsuite: autopkgtest
+X-Python-Version: >= 2.6
+X-Python3-Version: >= 3.2
 
 Package: python-numexpr
 Architecture: any
@@ -47,9 +48,9 @@
 Depends: ${python:Depends},
          ${shlibs:Depends},
          ${misc:Depends},
-         python-numexpr (= ${binary:Version})
-Recommends: python-dbg,
-            python-numpy-dbg
+         python-numexpr (= ${binary:Version}),
+         python-dbg,
+         python-numpy-dbg
 Description: Fast numerical array expression evaluator for Python and NumPy (debug ext)
  Numexpr package evaluates multiple-operator array expressions many
  times faster than NumPy can. It accepts the expression as a string,
@@ -83,9 +84,9 @@
 Depends: ${python3:Depends},
          ${shlibs:Depends},
          ${misc:Depends},
-         python3-numexpr (= ${binary:Version})
-Recommends: python3-dbg,
-            python3-numpy-dbg
+         python3-numexpr (= ${binary:Version}),
+         python3-dbg,
+         python3-numpy-dbg
 Description: Fast numerical array expression evaluator for Python 3 and NumPy (debug ext)
  Numexpr package evaluates multiple-operator array expressions many
  times faster than NumPy can. It accepts the expression as a string,

=== debian/rules ===
--- 
+++ 
@@ -68,7 +68,7 @@
 
 
 override_dh_installchangelogs:
-	dh_installchangelogs -k RELEASE_NOTES.txt
+	dh_installchangelogs -k RELEASE_NOTES.rst
 
 
 .PHONY: override_dh_auto_build override_dh_auto_install override_dh_install \

=== debian/tests/control ===
Tests: python2
Depends: python-numexpr, python-all, python-pkg-resources

Tests: python2-dbg
Depends: python-numexpr-dbg, python-all-dbg, python-pkg-resources

Tests: python3
Depends: python3-numexpr, python3-all, python3-pkg-resources

Tests: python3-dbg
Depends: python3-numexpr-dbg, python3-all-dbg, python3-pkg-resources

## numexpr 2.5.0

=== debian/changelog ===
numexpr (2.5.0-1) unstable; urgency=medium

  * New upstream release (Closes: #813643)
  * Standard version bumped to 3.9.7
  * Fix Vcs-Git URL
  * Updated debian/copyright: disambiguate MIT license type

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 06 Feb 2016 11:16:53 +0000

numexpr (2.4.4-1) unstable; urgency=medium

  * New upstream release
  * Add dependency from python(3)-pkg-resources to fix
    autopkgtest failure
  * Drop debian/patches/0001-Fix-test-suite.patch (applied upstream)
  * Updathe the project URL in debian/control, debian/changelog and
    debian/README.Debian

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 19 Sep 2015 18:26:38 +0000

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: numexpr
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Wen Heping <wenheping@gmail.com>,
            Antonio Valentino <antonio.valentino@tiscali.it>,
            Yaroslav Halchenko <debian@onerussian.com>
@@ -19,10 +18,10 @@
                python-numpy-dbg,
                python3-numpy,
                python3-numpy-dbg
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/numexpr.git
-Vcs-Git: git://anonscm.debian.org/debian-science/packages/numexpr.git
-Homepage: http://code.google.com/p/numexpr/
+Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/numexpr.git
+Homepage: https://github.com/pydata/numexpr
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2
 
@@ -30,7 +29,8 @@
 Architecture: any
 Depends: ${python:Depends},
          ${shlibs:Depends},
-         ${misc:Depends}
+         ${misc:Depends},
+         python-pkg-resources
 Description: Fast numerical array expression evaluator for Python and NumPy
  Numexpr package evaluates multiple-operator array expressions many
  times faster than NumPy can. It accepts the expression as a string,
@@ -66,7 +66,8 @@
 Architecture: any
 Depends: ${python3:Depends},
          ${shlibs:Depends},
-         ${misc:Depends}
+         ${misc:Depends},
+         python3-pkg-resources
 Description: Fast numerical array expression evaluator for Python 3 and NumPy
  Numexpr package evaluates multiple-operator array expressions many
  times faster than NumPy can. It accepts the expression as a string,

## numexpr 2.6.0

=== debian/changelog ===
numexpr (2.6.0-1) unstable; urgency=medium

  * New upstream release
  * debian/rules
    - add override_dh_auto_clean target
  * debian/control
    - standard version bumped to 3.9.8
    - update dependency version according to cme hints

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Thu, 02 Jun 2016 18:49:17 +0000

=== debian/rules ===
--- 
+++ 
@@ -67,10 +67,16 @@
 endif
 
 
+override_dh_auto_clean:
+	dh_auto_clean
+	$(RM) -r build/ numexpr.egg-info/
+
+
 override_dh_installchangelogs:
 	dh_installchangelogs -k RELEASE_NOTES.rst
 
 
 .PHONY: override_dh_auto_build override_dh_auto_install override_dh_install \
-        override_dh_auto_test override_dh_installchangelogs
+        override_dh_auto_test override_dh_auto_clean \
+        override_dh_installchangelogs

## numexpr 2.6.1

=== debian/changelog ===
numexpr (2.6.1-4) unstable; urgency=medium

  * debian/patches
    - better version parsing in 0002-numpy-1.12-compatibility.patch.
      Fix compatibility with numpy 1.12 (Closes: #852906)

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 28 Jan 2017 10:32:00 +0000

numexpr (2.6.1-3) unstable; urgency=high

  * debian/patches
    - new 0002-numpy-1.12-compatibility.patch to fix compatibility
      with numpy 1.12 (Closes: #848771)

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 24 Dec 2016 20:58:07 +0000

numexpr (2.6.1-2) unstable; urgency=high

  * debian/patches
    - new patch to fix test failures on ppc64el and powerpc
      See also upstream bug #224 (https://github.com/pydata/numexpr/issues/224)
      Closes: #845082

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Wed, 30 Nov 2016 06:57:12 +0000

numexpr (2.6.1-1) unstable; urgency=medium

  * New upstream release
  * debian/rules
    - enable hardening flags
  * debian/changes
    - fixed "copyright Format" field

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 30 Jul 2016 10:39:36 +0000

=== debian/control ===
--- 
+++ 
@@ -14,11 +14,11 @@
                python3-all-dbg,
                python-setuptools,
                python3-setuptools,
-               python-numpy (>= 1:1.6.0),
+               python-numpy,
                python-numpy-dbg,
                python3-numpy,
                python3-numpy-dbg
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/numexpr.git
 Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/numexpr.git
 Homepage: https://github.com/pydata/numexpr

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
-
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all,-pie
 
 # Get the supported Python versions
 PY2VERS = $(shell pyversions -r -v)

## numexpr 2.6.2

=== appveyor/requirements.txt ===
# Fetch numpy and scipy wheels from the sklearn rackspace wheelhouse.
# Those wheels were generated by @ogrisel by calling `wheel convert` on
# the binaries from http://www.lfd.uci.edu/~gohlke/pythonlibs/
# This is a temporary solution. As soon as numpy and scipy provide official
# wheel for windows we ca delete this --find-links line.
--find-links http://28daf2247a33ed269873-7b1aad3fab3cc330e1fd9d109892382a.r6.cf2.rackcdn.com/index.html

# fix the versions of numpy to force the use of numpy and scipy to use the whl
# of the rackspace folder instead of trying to install from more recent
# source tarball published on PyPI
numpy==1.8.1
wheel

=== debian/changelog ===
numexpr (2.6.2-1) unstable; urgency=medium

  * New upstream release
  * Standard version bumped to 4.0.0
  * Switch to pybuild 
  * debian/patches:
    - drop 0001-fix-test-on-powerpc-and-ppc64el.patch and
      0002-numpy-1.12-compatibility.patch: applied upstream
  * Drop -dbg package declaration (now debug packages are automatically
    generated) 
  * debian/tests/python*:
    - ensure that the test script returns the correct exit code

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Wed, 28 Jun 2017 20:21:19 +0000

=== debian/control ===
Source: numexpr
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Wen Heping <wenheping@gmail.com>,
           Antonio Valentino <antonio.valentino@tiscali.it>,
           Yaroslav Halchenko <debian@onerussian.com>
Section: python
Testsuite: autopkgtest
Priority: optional
Build-Depends: debhelper (>= 9.0.0~),
               dh-python,
               python-all-dev,
               python3-all-dev,
               python-setuptools,
               python3-setuptools,
               python-numpy,
               python3-numpy
Standards-Version: 4.0.0
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/numexpr.git
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/numexpr.git
Homepage: https://github.com/pydata/numexpr

Package: python-numexpr
Architecture: any
Depends: ${python:Depends},
         ${shlibs:Depends},
         ${misc:Depends},
         python-pkg-resources
Description: Fast numerical array expression evaluator for Python and NumPy
 Numexpr package evaluates multiple-operator array expressions many
 times faster than NumPy can. It accepts the expression as a string,
 analyzes it, rewrites it more efficiently, and compiles it to faster
 Python code on the fly. It's the next best thing to writing the
 expression in C and compiling it with a specialized just-in-time
 (JIT) compiler, i.e. it does not require a compiler at runtime.
 .
 This is the Python 2 version of the package.

Package: python3-numexpr
Architecture: any
Depends: ${python3:Depends},
         ${shlibs:Depends},
         ${misc:Depends},
         python3-pkg-resources
Description: Fast numerical array expression evaluator for Python 3 and NumPy
 Numexpr package evaluates multiple-operator array expressions many
 times faster than NumPy can. It accepts the expression as a string,
 analyzes it, rewrites it more efficiently, and compiles it to faster
 Python code on the fly. It's the next best thing to writing the
 expression in C and compiling it with a specialized just-in-time
 (JIT) compiler, i.e. it does not require a compiler at runtime.
 .
 This package contains numexpr for Python 3.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
export PYBUILD_NAME=numexpr
export DEB_BUILD_MAINT_OPTIONS=hardening=+all,-pie


%:
	dh $@ --with python2,python3 --buildsystem=pybuild


override_dh_gencontrol:
	dh_numpy
	dh_numpy3
	dh_gencontrol


override_dh_auto_clean:
	dh_auto_clean
	$(RM) -r build/ numexpr.egg-info/


override_dh_installchangelogs:
	dh_installchangelogs -k RELEASE_NOTES.rst


.PHONY: override_dh_gencontrol override_dh_auto_clean
	override_dh_installchangelogs

=== debian/tests/control ===
Tests: python2
Depends: python-numexpr, python-all

Tests: python3
Depends: python3-numexpr, python3-all

## numexpr 2.6.4

=== appveyor/requirements.txt ===
# RAM: updated to use official NumPy wheels from PyPI
numpy
wheel

=== debian/changelog ===
numexpr (2.6.4-1) unstable; urgency=medium

  * New upstream release
  * Standard version bump to 4.1.1 (extra --> optional)
  * debian/control
    remove un-necessary Testsuite: autopkgtest
  * Reformat debian/tests/control
  * Add debian/source.lintian-overrides

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 19 Nov 2017 08:33:55 +0000

numexpr (2.6.2-2) unstable; urgency=medium

  * Restore -dbg packages

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Mon, 14 Aug 2017 18:13:26 +0000

=== debian/control ===
--- 
+++ 
@@ -4,17 +4,20 @@
            Antonio Valentino <antonio.valentino@tiscali.it>,
            Yaroslav Halchenko <debian@onerussian.com>
 Section: python
-Testsuite: autopkgtest
 Priority: optional
 Build-Depends: debhelper (>= 9.0.0~),
                dh-python,
                python-all-dev,
+               python-all-dbg,
                python3-all-dev,
+               python3-all-dbg,
                python-setuptools,
                python3-setuptools,
                python-numpy,
-               python3-numpy
-Standards-Version: 4.0.0
+               python-numpy-dbg,
+               python3-numpy,
+               python3-numpy-dbg
+Standards-Version: 4.1.1
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/numexpr.git
 Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/numexpr.git
 Homepage: https://github.com/pydata/numexpr
@@ -35,6 +38,26 @@
  .
  This is the Python 2 version of the package.
 
+Package: python-numexpr-dbg
+Architecture: any
+Section: debug
+Depends: ${python:Depends},
+         ${shlibs:Depends},
+         ${misc:Depends},
+         python-numexpr (= ${binary:Version}),
+         python-dbg,
+         python-numpy-dbg
+Description: Fast numerical array expression evaluator for Python and NumPy (debug ext)
+ Numexpr package evaluates multiple-operator array expressions many
+ times faster than NumPy can. It accepts the expression as a string,
+ analyzes it, rewrites it more efficiently, and compiles it to faster
+ Python code on the fly. It's the next best thing to writing the
+ expression in C and compiling it with a specialized just-in-time
+ (JIT) compiler, i.e. it does not require a compiler at runtime.
+ .
+ This package contains the extension built for the Python 2 debug
+ interpreter.
+
 Package: python3-numexpr
 Architecture: any
 Depends: ${python3:Depends},
@@ -51,3 +74,22 @@
  .
  This package contains numexpr for Python 3.
 
+Package: python3-numexpr-dbg
+Architecture: any
+Section: debug
+Depends: ${python3:Depends},
+         ${shlibs:Depends},
+         ${misc:Depends},
+         python3-numexpr (= ${binary:Version}),
+         python3-dbg,
+         python3-numpy-dbg
+Description: Fast numerical array expression evaluator for Python 3 and NumPy (debug ext)
+ Numexpr package evaluates multiple-operator array expressions many
+ times faster than NumPy can. It accepts the expression as a string,
+ analyzes it, rewrites it more efficiently, and compiles it to faster
+ Python code on the fly. It's the next best thing to writing the
+ expression in C and compiling it with a specialized just-in-time
+ (JIT) compiler, i.e. it does not require a compiler at runtime.
+ .
+ This package contains the extension built for the Python 3 debug
+ interpreter.

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,14 @@
 #export DH_VERBOSE=1
 export PYBUILD_NAME=numexpr
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all,-pie
+
+# Get the supported Python versions
+PY2VERS = $(shell pyversions -r -v)
+PY3VERS = $(shell py3versions -r -v)
+
+ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
+export CFLAGS ?= -O0
+endif
 
 
 %:
@@ -17,6 +25,25 @@
 	dh_gencontrol
 
 
+override_dh_strip:
+	dh_strip -ppython-numexpr  --dbg-package=python-numexpr-dbg
+	dh_strip -ppython3-numexpr --dbg-package=python3-numexpr-dbg
+
+
+override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+
+	set -e -x;\
+	for py in $(PY2VERS) $(PY3VERS); do \
+		cd $(CURDIR)/.pybuild/pythonX.Y_$$py/build;\
+		env PYTHONPATH=. python$$py numexpr/tests/test_numexpr.py -v;\
+		cd $(CURDIR)/.pybuild/pythonX.Y-dbg_$$py/build;\
+		env PYTHONPATH=. python$$py-dbg numexpr/tests/test_numexpr.py -v;\
+	done
+
+endif
+
+
 override_dh_auto_clean:
 	dh_auto_clean
 	$(RM) -r build/ numexpr.egg-info/
@@ -26,6 +53,5 @@
 	dh_installchangelogs -k RELEASE_NOTES.rst
 
 
-.PHONY: override_dh_gencontrol override_dh_auto_clean
-	override_dh_installchangelogs
-
+.PHONY: override_dh_gencontrol override_dh_strip override_dh_auto_clean \
+        override_dh_auto_test override_dh_installchangelogs

=== debian/tests/control ===
Tests: python2,
       python2-dbg,
       python3,
       python3-dbg
Depends: python-numexpr,
         python-all,
         python-numexpr-dbg,
         python-all-dbg,
         python3-numexpr,
         python3-all,
         python3-numexpr-dbg,
         python3-all-dbg

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/numexpr-$1\.tar\.gz/ \
  https://github.com/pydata/numexpr/tags .*/v?(\d\S*)\.tar\.gz

## numexpr 2.6.5

=== debian/changelog ===
numexpr (2.6.5-1build1) cosmic; urgency=medium

  * No-change rebuild to build for python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 28 Jun 2018 11:39:53 +0000

numexpr (2.6.5-1) unstable; urgency=medium

  * New upstream release.
  * Standard version bumped to 4.1.4 (no change).

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Fri, 04 May 2018 05:57:33 +0000

numexpr (2.6.4-2) unstable; urgency=medium

  * Standard version bumped to 4.1.3 (no change)
  * Set compat to 11.
  * debian/rules
    - fix testing (Closes: #894623)
  * debian/control
    - update Vcs-* fields (salsa)
  * Drop debian/source.lintian-overrides
  * Add upstream metadata.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Mon, 02 Apr 2018 16:57:49 +0000

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
            Yaroslav Halchenko <debian@onerussian.com>
 Section: python
 Priority: optional
-Build-Depends: debhelper (>= 9.0.0~),
+Build-Depends: debhelper (>= 11),
                dh-python,
                python-all-dev,
                python-all-dbg,
@@ -17,9 +17,9 @@
                python-numpy-dbg,
                python3-numpy,
                python3-numpy-dbg
-Standards-Version: 4.1.1
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/numexpr.git
-Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/numexpr.git
+Standards-Version: 4.1.4
+Vcs-Browser: https://salsa.debian.org/science-team/numexpr
+Vcs-Git: https://salsa.debian.org/science-team/numexpr.git
 Homepage: https://github.com/pydata/numexpr
 
 Package: python-numexpr

## numexpr 2.6.8

=== debian/changelog ===
numexpr (2.6.8-1) unstable; urgency=medium

  * New upstream release.
  * Standerd version bumped to 4.2.0 (no change).
  * Remove the obsolete debian/pyversions file.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 25 Aug 2018 08:10:08 +0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
                python-numpy-dbg,
                python3-numpy,
                python3-numpy-dbg
-Standards-Version: 4.1.4
+Standards-Version: 4.2.0
 Vcs-Browser: https://salsa.debian.org/science-team/numexpr
 Vcs-Git: https://salsa.debian.org/science-team/numexpr.git
 Homepage: https://github.com/pydata/numexpr
